using Elwig.Helpers;
using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;

namespace Elwig.Models.Entities {
    [Table("currency"), PrimaryKey("Code")]
    public class Currency {
        [Column("code")]
        public string Code { get; private set; } = null!;

        [Column("name")]
        public string Name { get; private set; } = null!;

        [Column("symbol")]
        public string? Symbol { get; private set; }

        [Column("one_euro")]
        public long? OneEuroValue { get; private set; }

        [NotMapped]
        public decimal? OneEuro => OneEuroValue != null ? Utils.DecFromDb(OneEuroValue.Value, 6) : null;
    }
}
